package cz.kebrt.unitcheck.api.data;

import java.util.ArrayList;
import java.util.List;

/**
 * Describes an execution path that leads to an error. The path consists of a number of
 * transitions that were executed one after another.
 *
 */
public class PathHolder {

    private List<TransitionHolder> transitions;

    /**
     * Constructs an empty path.
     */
    public PathHolder() {
        transitions = new ArrayList<TransitionHolder>();
    }

    /**
     * Adds a transitions to the path. For internal usage only.
     * @param transition transition to be added
     */
    public void addTransition(TransitionHolder transition) {
        transitions.add(transition);
    }

    /**
     * Returns the list of all transitions from the path.
     * @return list of all transitions from the path
     */
    public List<TransitionHolder> getTransitions() {
        return transitions;
    }

}
