package cz.kebrt.unitcheck.api.data;

/**
 * Describes a failure that was caused by a violated property.
 */
public class PropertyFailure extends Failure {

    private final String details;

    /**
     * Constructs an instance.
     *
     * @param description description of the failure
     * @param details details about the property
     * @param path execution trace leading to the failure
     * @param snapShot state of all threads at the moment of the failure
     */
    public PropertyFailure(Description description, String details, String snapShot,
            PathHolder path) {
        super(description, path, snapShot);
        this.details = details;
    }

    /**
     * Returns details about the property.
     *
     * @return details about the property
     */
    public String getDetails() {
        return details;
    }

}
