package cz.kebrt.unitcheck.junit.holder;

/**
 * Holds information about an exception. Dual class to Throwable.
 * Fields are accessed directly using names in the MJI peer class.
 *
 * @author michal
 */
@SuppressWarnings("unused")
public class ThrowableHolder {

    private final String message;
    private final StackTraceElementHolder[] stackTrace;
    private final ThrowableHolder cause;

    /**
     * Constructs an instance.
     * @param t Java exception
     */
    public ThrowableHolder(Throwable t) {
        message = t.getClass().getName() + ": " + t.getMessage();
        stackTrace = new StackTraceElementHolder[t.getStackTrace().length];
        for (int i = 0; i < t.getStackTrace().length; ++i) {
            stackTrace[i] = new StackTraceElementHolder(t.getStackTrace()[i]);
        }
        if (t.getCause() == null) {
            cause = null;
        } else {
            cause = new ThrowableHolder(t.getCause());
        }
    }

}
