package cz.kebrt.unitcheck.ant;

import cz.kebrt.unitcheck.config.ConfigException;
import cz.kebrt.unitcheck.config.TestConfig;

/**
 * Represents Ant configuration of a single test class/method.
 *
 * @author michal
 */
public class SingleTest {

    private String klass;
    private String method;

    /**
     * Creates UnitCheck configuration of a test.
     * @return UnitCheck configuration of a test
     *
     * @throws ConfigException invalid test
     */
    public TestConfig createTest() throws ConfigException {
        return new TestConfig(klass, method);
    }

    // =================================================================================
    // The following methods correspond to elements and attributes supported by the task
    // =================================================================================

    /**
     * Test class to be checked.
     *
     * @param testClass Test class to be checked
     */
    public void setClass(String testClass) {
        this.klass = testClass;
    }

    /**
     * Test method to be checked. If not specified all methods from selected test class
     * will be checked.
     *
     * @param testMethod test method to be checked
     */
    public void setMethod(String testMethod) {
        this.method = testMethod;
    }

}
